Cabal-3.10.1.0: A framework for packaging Haskell software

Safe Haskell | Safe-Inferred
Language | Haskell2010

Distribution.Types.TargetInfo

Synopsis

- data TargetInfo = TargetInfo {
  - targetCLBI :: ComponentLocalBuildInfo
  - targetComponent :: Component
  }

# Documentation

data TargetInfo Source #

The `TargetInfo` contains all the information necessary to build a specific target (e.g., componentmodulefile) in a package. In principle, one can get the `Component` from a `ComponentLocalBuildInfo` and `LocalBuildInfo`, but it is much more convenient to have the component in hand.

Constructors

TargetInfo |

Fields

- targetCLBI :: ComponentLocalBuildInfo
- targetComponent :: Component

#### Instances

Instances details

IsNode TargetInfo Source # |
Instance details Defined in Distribution.Types.TargetInfo Associated Types type Key TargetInfo Source # Methods nodeKey :: TargetInfo -> Key TargetInfo Source # nodeNeighbors :: TargetInfo -> [Key TargetInfo] Source #
type Key TargetInfo Source # |
Instance details Defined in Distribution.Types.TargetInfo type Key TargetInfo = UnitId